From 866a3c893da5a74f1b91555a87afeb9a6b3348b6 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 10 2025 20:54:56 +0000
Subject: Remove IoT, only compose fedora-bootc container


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 5d25622..048c777 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -22,7 +22,7 @@ sigkeys = ['e99d6ad1']
 tree_arches = ['aarch64', 'x86_64', "ppc64le", "s390x"]
 # limit tree variants
 # if undefined, all variants from variants.xml will be included
-tree_variants = ['IoT', 'bootc', 'bootc-base']
+tree_variants = ['bootc']
 hashed_directories = True
 
 # RUNROOT settings
@@ -87,13 +87,6 @@ lorax_options = [
   })
 ]
 
-additional_packages = [
-    ('^IoT$$', {
-        '*': [
-            '*',
-        ],
-    }),
-]
 multilib = [
     ('^Everything$', {
         'x86_64': ['devel', 'runtime'],
@@ -209,74 +202,6 @@ global_version = '41'
 # live_images ignores this in favor of live_target
 global_target = 'f41'
 
-osbuild = {
-    "^IoT$": [
-      {
-        "name": "%s-raw" % release_name,
-        "distro": "fedora-41",
-        "image_types": ["iot-raw-image"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-        "failable": ["*"],
-      },
-      {
-        "name": "%s-ostree" % release_name,
-        "distro": "fedora-41",
-        "image_types": ["iot-installer"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-        "manifest_type": "dvd-ostree",
-        "failable": ["*"],
-      },
-      {
-        "name": "%s-provisioner" % release_name,
-        "distro": "fedora-41",
-        "image_types": ["iot-simplified-installer"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT_Simplified_Provisioner",
-        "customizations": {"installation_device": "/dev/vda"},
-        "failable": ["*"],
-        "manifest_type": "dvd-ostree",
-      },
- ],
-}
-
-ostree = {
-    "^IoT$": {
-            "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-            "force_new_commit": True,
-            "unified_core": True,
-            "treefile": "fedora-iot.yaml",
-            "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "f41",
-            "repo": [
-                "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/",
-                "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$basearch/os/"],
-            "tag_ref": False,
-            "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/stable/${basearch}/iot",
-            "runroot_packages": ["selinux-policy-targeted"],
-            "arches": ["x86_64", "aarch64"],
-            "update_summary": True,
-        }
-}
-
 ostree_container = {
     "^bootc$": {
         "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
@@ -288,16 +213,6 @@ ostree_container = {
         "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
         "failable": ['*'],
     },
-    "^bootc-base$": {
-        "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-        "config_url": "https://pagure.io/fedora-iot/ostree.git",
-        "config_branch": "f41",
-        "treefile": "fedora-iot-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/41/Fedora-41-20241024.0/compose/Everything/$basearch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f41-updates/compose/Everything/$basearch/os/"],
-        "arches": ["x86_64", "aarch64"],
-        "failable": ['*'],
-    },
 }
 
 koji_profile = 'compose_koji'
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index 6554595..2536caf 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -47,11 +47,11 @@ arch_to_goarch() {
 
 # This is the release of Fedora that is currently stable, it will define if we
 # need to move the fedora:latest tag
-current_stable="41"
+current_stable="42"
 # Define the development release
 #current_devel="41"
 # Define what is rawhide so we know to push that tag
-current_rawhide="42"
+current_rawhide="43"
 # Sanity checking
 if ! [[ "${1}" =~ ^-?[0-9]+$ ]];
 then
@@ -69,7 +69,7 @@ if [[ "${3}" == "-s" ]]; then
     stage="true"
 fi
 
-BASENAMES=("Fedora-IoT-bootc" "Fedora-IoT-bootc-base")
+BASENAMES=("Fedora-IoT-bootc")
 format="oci-archive"
 vers=${1}
 compose=${2}

